SDL_PIXELTYPE(3)

NAME
SDL_PIXELTYPE - A macro to retrieve the type of an SDL_PixelFormat .

HEADER FILE
Defined in SDL3/SDL_pixels.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_PIXELTYPE(format)    (((format) >> 24) & 0x0F)

DESCRIPTION
This is usually a value from the SDL_PixelType

enumeration.

RETURN VALUE
Returns the type of format .

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.